%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: MATE desktop default icons
Name: mate-icon-theme
Version: 1.18.0
Release: %mkrel 1
# Add Mageia icon license
License: GPLv2+ and LGPLv2+ and Creative Commons Attribution-ShareAlike
Group: Graphical desktop/MATE
URL:  http://www.mate-desktop.org/
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: mageia-pngs-2016.tar.xz

BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.7

BuildArch: noarch

Requires: hicolor-icon-theme
Obsoletes: %{name}-devel

%description
Default icon theme for MATE Desktop

%prep
%autosetup -a 1

%build
%configure2_5x --enable-icon-mapping
%make_build

%install
%make_install

touch %{buildroot}%{_iconsdir}/mate/icon-theme.cache
touch %{buildroot}%{_iconsdir}/menta/icon-theme.cache

# Install Mageia icon
icon_dirs="16x16 22x22 24x24 32x32 48x48"
scales="16 22 24 32 48"
for i in $icon_dirs; do
  pushd %{buildroot}%{_iconsdir}/mate/$i/places
  mv start-here.png start-here-mate.png
  popd
  pushd %{buildroot}%{_iconsdir}/menta/$i/places
  mv start-here.png start-here-mate.png
  popd
done

for i in $scales; do
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/mate/${i}x${i}/places/start-here.png
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/menta/${i}x${i}/places/start-here.png
done

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/mate/ /usr/share/icons/menta/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/mate
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/menta
fi

%post
%update_icon_cache mate

%postun
%clean_icon_cache mate

%files
%doc README TODO
%{_iconsdir}/mate/
%{_iconsdir}/menta/
%ghost %{_iconsdir}/mate/icon-theme.cache
%ghost %{_iconsdir}/menta/icon-theme.cache


%changelog
* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092537
- Update to 1.18.0 version
- Update to 1.17.0 version

* Fri Dec 23 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076641
- new version 1.16.0

* Wed Nov 23 2016 anaselli <anaselli> 1.14.0-2.mga6
+ Revision: 1069543
- Update app MATE menu icon (mga#18579)

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001163
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942319
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898498
-Update to 1.12.0 version

  + tv <tv>
    - switch to new upstream file trigger syntax

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837228
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 743615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682191
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600077
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598046
- Update to 1.7.x version

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 563882
-Update to new bugfix version: 1.6.3

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 534503
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 475352
- Updating mate-icon-theme from 1.6.1 to 1.6.2

* Sun Jun 23 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 446059
- New bugfix version
- imported package mate-icon-theme

